Package com.enonic.xp.content

## Class ContentRelativePathResolver

- java.lang.Object
- - com.enonic.xp.content.ContentRelativePathResolver

-     @Deprecated
      public class ContentRelativePathResolver
      extends Object

  Deprecated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SITE_WILDCARD` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentRelativePathResolver()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `anyPathNeedsSiteResolving​(List<String> allowedPaths)` | Deprecated.
    `static boolean` | `hasSiteToResolve​(String path)` | Deprecated.
    `static String` | `resolve​(Content content, String pathExpression)` | Deprecated.
    `static String` | `resolveWithSite​(String pathExpression, Site parentSite)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SITE_WILDCARD

          public static final String SITE_WILDCARD

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContentRelativePathResolver

          public ContentRelativePathResolver()

      Deprecated.

  - ### Method Detail

    - #### resolve

          public static String resolve​(Content content,
                                       String pathExpression)

      Deprecated.

    - #### resolveWithSite

          public static String resolveWithSite​(String pathExpression,
                                               Site parentSite)

      Deprecated.

    - #### anyPathNeedsSiteResolving

          public static boolean anyPathNeedsSiteResolving​(List<String> allowedPaths)

      Deprecated.

    - #### hasSiteToResolve

          public static boolean hasSiteToResolve​(String path)

      Deprecated.